<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>FileLegacyChunkStore (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileLegacyChunkStore (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStoreException.html" title="class in com.sk89q.worldedit.world.storage"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/storage/FileMcRegionChunkStore.html" title="class in com.sk89q.worldedit.world.storage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/storage/FileLegacyChunkStore.html" target="_top">Frames</a></li>
<li><a href="FileLegacyChunkStore.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.world.storage.ChunkStore">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.world.storage</div>
<h2 title="Class FileLegacyChunkStore" class="title">Class FileLegacyChunkStore</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStore.html" title="class in com.sk89q.worldedit.world.storage">com.sk89q.worldedit.world.storage.ChunkStore</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/world/storage/LegacyChunkStore.html" title="class in com.sk89q.worldedit.world.storage">com.sk89q.worldedit.world.storage.LegacyChunkStore</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.world.storage.FileLegacyChunkStore</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.io.Closeable, java.lang.AutoCloseable</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">FileLegacyChunkStore</span>
extends <a href="../../../../../com/sk89q/worldedit/world/storage/LegacyChunkStore.html" title="class in com.sk89q.worldedit.world.storage">LegacyChunkStore</a></pre>
<div class="block">Represents the chunk store used by Minecraft Alpha.</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.com.sk89q.worldedit.world.storage.ChunkStore">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;com.sk89q.worldedit.world.storage.<a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStore.html" title="class in com.sk89q.worldedit.world.storage">ChunkStore</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStore.html#CHUNK_SHIFTS">CHUNK_SHIFTS</a></code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/storage/FileLegacyChunkStore.html#FileLegacyChunkStore-java.io.File-">FileLegacyChunkStore</a></span>(java.io.File&nbsp;path)</code>
<div class="block">Create an instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected java.io.InputStream</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/storage/FileLegacyChunkStore.html#getInputStream-java.lang.String-java.lang.String-java.lang.String-">getInputStream</a></span>(java.lang.String&nbsp;f1,
              java.lang.String&nbsp;f2,
              java.lang.String&nbsp;name)</code>
<div class="block">Get the input stream for a chunk file.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/world/storage/FileLegacyChunkStore.html#isValid--">isValid</a></span>()</code>
<div class="block">Returns whether the chunk store is of this type.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.world.storage.LegacyChunkStore">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.world.storage.<a href="../../../../../com/sk89q/worldedit/world/storage/LegacyChunkStore.html" title="class in com.sk89q.worldedit.world.storage">LegacyChunkStore</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/world/storage/LegacyChunkStore.html#getChunkTag-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.World-">getChunkTag</a>, <a href="../../../../../com/sk89q/worldedit/world/storage/LegacyChunkStore.html#getFilename-com.sk89q.worldedit.math.BlockVector2-">getFilename</a>, <a href="../../../../../com/sk89q/worldedit/world/storage/LegacyChunkStore.html#getFilename-com.sk89q.worldedit.math.BlockVector2-java.lang.String-">getFilename</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.world.storage.ChunkStore">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.world.storage.<a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStore.html" title="class in com.sk89q.worldedit.world.storage">ChunkStore</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStore.html#close--">close</a>, <a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStore.html#getChunk-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.World-">getChunk</a>, <a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStore.html#toChunk-com.sk89q.worldedit.math.BlockVector3-">toChunk</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FileLegacyChunkStore-java.io.File-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FileLegacyChunkStore</h4>
<pre>public&nbsp;FileLegacyChunkStore(java.io.File&nbsp;path)</pre>
<div class="block">Create an instance. The passed path is the folder to read the
 chunk files from.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - path to a folder</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getInputStream-java.lang.String-java.lang.String-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInputStream</h4>
<pre>protected&nbsp;java.io.InputStream&nbsp;getInputStream(java.lang.String&nbsp;f1,
                                             java.lang.String&nbsp;f2,
                                             java.lang.String&nbsp;name)
                                      throws <a href="../../../../../com/sk89q/worldedit/world/DataException.html" title="class in com.sk89q.worldedit.world">DataException</a>,
                                             java.io.IOException</pre>
<div class="block">Get the input stream for a chunk file.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/storage/LegacyChunkStore.html#getInputStream-java.lang.String-java.lang.String-java.lang.String-">getInputStream</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/storage/LegacyChunkStore.html" title="class in com.sk89q.worldedit.world.storage">LegacyChunkStore</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>f1</code> - the first part of the pathname</dd>
<dd><code>f2</code> - the second part of the pathname</dd>
<dd><code>name</code> - the name of the file</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>an input stream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/DataException.html" title="class in com.sk89q.worldedit.world">DataException</a></code></dd>
<dd><code>java.io.IOException</code></dd>
</dl>
</li>
</ul>
<a name="isValid--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>isValid</h4>
<pre>public&nbsp;boolean&nbsp;isValid()</pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStore.html#isValid--">ChunkStore</a></code></span></div>
<div class="block">Returns whether the chunk store is of this type.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStore.html#isValid--">isValid</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStore.html" title="class in com.sk89q.worldedit.world.storage">ChunkStore</a></code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if valid</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/world/storage/ChunkStoreException.html" title="class in com.sk89q.worldedit.world.storage"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../com/sk89q/worldedit/world/storage/FileMcRegionChunkStore.html" title="class in com.sk89q.worldedit.world.storage"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/world/storage/FileLegacyChunkStore.html" target="_top">Frames</a></li>
<li><a href="FileLegacyChunkStore.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.com.sk89q.worldedit.world.storage.ChunkStore">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
